* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
}


:root {
 /* --------- VARIAVEIS GERAIS ---------- */
  --black: #221F1F;
  --white: #ffffff;
  --orange: #FF8000;
  --btn-shadow: 6px 6px 10px -1px rgba(34, 31, 31, 0.3);

  --font-main: 'Futura Std Book', sans-serif;
  --font-bold: 'Futura Std Extra Bold Condensed', sans-serif;

  /* ---------- VARIAVEIS PARA O PC --------------------------------------- */
  /*fonts*/
  --h1-size: 3rem;
  --h2-size: 3rem;
  --h3-size: 2rem;
  --p-size: 1.2rem;

  --line-height-title: 1.3;
  --line-height-text: 1.6;

  /*cards*/
  --card-max-w: 280px;
  --card-min-h: 300px;
  --card-radius: 24px;
  --card-padding: 20px;


  /* ---------- BUTTONS ---------- */
  --button-w: 325px;
  --btn-w: 518px;
  --btn-h: 84px;
  --btn-font-size: 2rem;
  --btn-radius: 18px;

  /* ---------- LAYOUT ---------- */
  --section-padding-x: 5%;
  --content-max-w: 600px;
  --section-padding-top: 40px;
  --section-padding-bottom: 40px;

  /* ---------- HEADER ---------- */
  --logo-size: 140px;
}


body {
  font-family: var(--font-main);
  color: var(--black);
  line-height: var(--line-height-text);
  overflow-x: hidden;
}


#main-header {
  position: fixed;/* mantém o header sempre visível */
  top: 0;
  left: 0;
  width: 100%;         
  display: flex;
  justify-content: center; 
  z-index: 1000;/* fica por cima o logo*/
}

.logo img { 
  width: var(--logo-size);
  height: auto; 
  display: block;
  transition: filter 0.3s ease;
}

body.white-logo .logo img {
  filter: invert(100%) brightness(200%);
}


h1, h2, h3 {
  font-family: var(--font-bold);
  text-transform: uppercase;
  font-weight: 700;
  line-height: var(--line-height-title);
}

h1, h2{
  padding-bottom: 45px;
}

h1 { font-size: var(--h1-size); padding-top: 20px; }
h2 { font-size: var(--h2-size); padding-top: 80px; color: var(--white); }

h3 {
  font-size: var(--h3-size);
  display: block;
  text-align: center;
  margin: 0 auto 12px;
  padding-bottom: 26px;
  text-align: center;
}

.first_paragraph p {
  padding-bottom: 25px;
}

p {
  font-size: var(--p-size);
  white-space: pre-wrap;
}


section {
  min-height: 100vh;
  padding: var(--section-padding-top) 5% var(--section-padding-bottom);
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}


.content_wrapper { max-width: var(--content-max-w); z-index: 2; }
.align_center { margin-left: auto; margin-right:auto; text-align: center; }
.align_right { margin-left: auto; text-align: right;}
.align_left { margin-right: auto; text-align: left;}


.button,
.btn {
  height: var(--btn-h);
  margin-top: 65px;
  font-family: var(--font-bold);
  font-size: var(--btn-font-size);
  text-transform: uppercase;
  color: var(--black);
  background: var(--orange);
  border-radius: var(--btn-radius);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  cursor: pointer;
  box-shadow:
    var(--btn-shadow),
    inset 0 4px 8px rgba(255, 255, 255, 0.35);
  transition: all 0.2s ease-out;
}

.button {
  width: var(--button-w);
}

.btn {
  width: var(--btn-w);
  align-self: center;
}


.button:hover, .btn:hover {
    transform: translateY(-1px);
}


/* FAZER OS CARDS BRANCOS */
.cards_grid { 
    display: flex;
    flex-wrap: wrap;   
    justify-content: center; 
    gap: 15px;                 
    max-width: 1300px;  
    margin: 0 auto;  
}


.card {
  max-width: var(--card-max-w);
  min-height: var(--card-min-h);
  margin-top: 50px;
  padding-top: 30px;
  text-align: left;
  padding: var(--card-padding);
  background: var(--white);
  color: var(--black);
  border-radius: var(--card-radius);
  display: flex;
  flex-direction: column;
}

.card h3 {
  display: block;
  margin: 0 auto 12px;
}

.card ul { 
  list-style: none; 
}

.card li {
    margin-bottom: 10px;
    position: relative;
    padding-left: 20px;
    font-size: 1.15rem;
    margin-top: 15px;
}

.card li::before {
    content: "•"; 
    position: absolute; 
    left: 0; 
    color: var(--black);
}


/*METER AS FOTOS DE FUNDO PC*/
.treina, .equipa, .opcoes, .ebook, .coach{
  background-size: cover; 
  background-position: center top;
  background-repeat: no-repeat;
 min-height: 110vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.treina { 
  background-image: url(fotos/PC_Fundos/01_CAPA_v2.jpg); 
}
.equipa { background-image: url(fotos/PC_Fundos/02_FBTEAM_v2.jpg);}
.opcoes { background-image: url(fotos/PC_Fundos/03_FBTEAM_PERKS_v2.jpg); padding-bottom: 55px;}
.ebook { background-image: url(fotos/PC_Fundos/07_EBOOK.jpg);}
.coach { background-image: url(fotos/PC_Fundos/06_BIO_v2.jpg);}

/* ICONS DE SOCIAL MEDIA*/
.social_icons{
    display: flex;
    gap: 20px;
    margin-top: 30px;
    justify-content: flex-end;
}

.social_icons a {
    text-decoration: none;
    font-size: 40px;    
    color: var(--orange); 
    transition: all 0.3s ease;
    display: inline-block;
}

.br-mobile {
  display: none;
}

.br-desktop {
    display: content;
}



/*----------------------------------------------- MOBILE ------------------------------------------*/
@media /*screen and*/ (max-width: 768px) {

.treina { 
  background-image: url(fotos/MOBILE_Fundos/01_CAPA.jpg); 
}

.equipa { 
  background-image: url(fotos/MOBILE_Fundos/02_FBTEAM.jpg); 
  padding-bottom: 430px;
}

.opcoes { 
  background-image: url(fotos/MOBILE_Fundos/03_FB_TEAM_PERKS.jpg); 
  padding-bottom: 65px;
}
.ebook  { 
  background-image: url(fotos/MOBILE_Fundos/07_EBOOK_NOVO.jpg); 
  padding-bottom: 430px;
}
.coach  { 
  background-image: url(fotos/MOBILE_Fundos/06_BIO.jpg);
  padding-bottom: 470px;
}


section,
  .treina, .equipa, .opcoes, .ebook, .coach {
    justify-content: flex-start;  
    padding-top: 70px;           
  }

  section {
    padding-left: 0;
    padding-right: 0;
  }

  .content_wrapper {
    padding: 0 5%;
  }

:root {
    --h-size: 1.5rem;
    --h2-size: 1.5rem;
    --h3-size: 1.0rem;
    --p-size: 0.9rem;
    --line-heigth: 1.15;
    --logo: 85px;
  }

.logo img { 
  width: var(--logo);
  height: auto; 
  display: block;
  transition: filter 0.3s ease;
}

.br-desktop {
    display: none;
}

  .br-mobile {
    display: inline;
}

h1{
    font-size: var(--h-size);
    line-height:var(--line-heigth);
    margin: 0;
    padding-bottom: 20px;
    text-align: center;
    padding-top: 0 !important;
}

h2{
  font-size: var(--h-size);
  line-height:var(--line-heigth);
  margin: 0;
  padding-bottom: 60px;
  text-align: center;
  padding-top: 30px;
}

h3 {
  font-size: var(--h3-size);
  line-height: var(--line-heigth);
  margin-bottom: 5px;
  padding-bottom: 0;
  padding-top: 10px;
  text-align: left;
}

.align_right, .align_left { 
  margin-left: unset; 
  text-align: center;
  margin-right: unset;}

p {
    font-size: var(--p-size);
    white-space: normal;
}

.first_paragraph p {
    padding-bottom: 14px;
}


.treina .content_wrapper {
    display: flex;
    flex-direction: column;
    flex: 0.9; 
}

.treina .button {
    margin-top: auto;
}


.treina {
    display: flex;
    flex-direction: column;
    min-height: 100dvh; /* CLAVE */
    /*justify-content: space-between;*/
}


.ebook .button {
    margin: 27px ;
}

.cards_grid { 
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;                       
    width: 100%;
    max-width: 360px;
    justify-content: center;
    grid-auto-rows: 1fr;
    margin: 0 auto;   
}

.card {
  width: 100%;
  min-height: 190px;
  height: 100%;
  margin-top: 10px; 
  text-align: left;
  background: var(--white);
  color: var(--black);
  border-radius: var(--card-radius);
  display: flex;
  flex-direction: column;
  padding: 2px;
  overflow-wrap: break-word; 
  word-wrap: break-word;
  
}


.card ul { 
  list-style: none; 
}

.card li {
    position: relative;
    padding-left: 15px;
    font-size: 0.85rem;
    margin-top: 8px;
    margin-bottom: 0px;
}

.card li::before {
    content: "•"; 
    position: absolute; 
    left: 4px; 
    color: var(--black);
}


.button{
  min-width: 180px;
  max-width: 190px;
  width: auto;
  height: auto;
  padding: 13px 20px;
  font-size: 1.05rem;
  line-height: 1.2;
  margin: 20px auto 0;
  border-radius: 10px;
}

  .btn {
    min-width: 200px;
    max-width: 280px;
    /*margin-top: 70px !important;*/
    transform: translateY(30px);
    width: auto;
    height: auto;
    padding: 13px 20px;
    font-size: 1.05rem;
    line-height: 1.2;
    margin: 40px auto 0;
    border-radius: 10px;
}

.social_icons{
  flex-direction: column;
  display: flex;
  gap: 30px;
  margin-top: 30px;
  position: absolute;
  right: 25px;
}

.social_icons a {
    font-size: 25px; 
  
}

}